__gnu_cxx::_Char_types< _CharT > Struct Template Reference

`#include <char_traits.h>`

## Public Types

typedef unsigned long | int_type
typedef std::streamoff | off_type
typedef std::streampos | pos_type
typedef std::mbstate_t | state_type

## Detailed Description

template<typename _CharT>
struct __gnu_cxx::_Char_types< _CharT >

Mapping from character type to associated types.

Note
  This is an implementation class for the generic version of char_traits. It defines int_type, off_type, pos_type, and state_type. By default these are unsigned long, streamoff, streampos, and mbstate_t. Users who need a different set of types, but who don't need to change the definitions of any function defined in char_traits, can specialize __gnu_cxx::_Char_types while leaving __gnu_cxx::char_traits alone.

Definition at line 73 of file char_traits.h.

## Member Typedef Documentation

## int_type

template<typename _CharT>

typedef unsigned long __gnu_cxx::_Char_types< _CharT >::int_type

Definition at line 75 of file char_traits.h.

## off_type

template<typename _CharT>

typedef std::streamoff __gnu_cxx::_Char_types< _CharT >::off_type

Definition at line 77 of file char_traits.h.

## pos_type

template<typename _CharT>

typedef std::streampos __gnu_cxx::_Char_types< _CharT >::pos_type

Definition at line 76 of file char_traits.h.

## state_type

template<typename _CharT>

typedef std::mbstate_t __gnu_cxx::_Char_types< _CharT >::state_type

Definition at line 78 of file char_traits.h.

The documentation for this struct was generated from the following file:

- char_traits.h